#
# NDK build file
#
# Written by Ant-ON, 2021
#

LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_MODULE := ntfs-wii

LOCAL_C_INCLUDES := $(LOCAL_PATH) \
	$(LOCAL_PATH)/src \
	$(LOCAL_PATH)/src2 \
	$(LOCAL_PATH)/../libfs/include \
	$(LOCAL_PATH)/../libbm/include

LOCAL_SRC_FILES := \
	ntfs_fs.c \
	blk_io.c \
	src/acls.c \
	src/attrib.c \
	src/attrlist.c \
	src/bitmap.c \
	src/bootsect.c \
	src/cache.c \
	src/collate.c \
	src/compat.c \
	src/compress.c \
	src/debug.c \
	src/device.c \
	src/dir.c \
	src/efs.c \
	src/index.c \
	src/inode.c \
	src/lcnalloc.c \
	src/logfile.c \
	src/logging.c \
	src/mft.c \
	src/mst.c \
	src/misc.c \
	src/object_id.c \
	src/reparse.c \
	src/runlist.c \
	src/unistr.c \
	src/volume.c \
	src/xattrs.c \
	src/security.c \
	src/ntfs.c \
	src/ntfsfile.c \
	src/ntfsdir.c

MAIN_CFLAGS := -DHAVE_CONFIG_H -D__ANDROID__ -DATIME_DISABLED

LOCAL_CFLAGS += -Wall -ffast-math -O2 $(MAIN_CFLAGS)

# Remove unused code
LOCAL_CFLAGS += -fvisibility=hidden -ffunction-sections -fdata-sections -Wl,--gc-sections
LOCAL_CPPFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden -ffunction-sections -fdata-sections -Wl,--gc-sections
LOCAL_LDFLAGS += -Wl,--gc-sections -Wl,--strip-all -Wl,-z,nocopyreloc

LOCAL_SHARED_LIBRARIES :=
LOCAL_STATIC_LIBRARIES :=

LOCAL_EXPORT_C_INCLUDES := $(LOCAL_PATH)/include

LOCAL_LDLIBS := -llog

include $(BUILD_SHARED_LIBRARY)
